varying vec3 eye;
varying vec3 normal;
uniform sampler2D colScheme;
varying vec2 texC;
void main()
{
float light = clamp(dot(normalize(normal),normalize(-eye)),0.2,1.0);
float light2 = clamp(dot(normalize(normal.xz),normalize(-texC)),0.2,1.0);
light2 = sin(eye.y*0.002 + cos(length(eye.yz)*0.08)*1.8)*0.5 + 0.5;
float der1 = smoothstep(dFdx(light*10.0)+dFdy(light*10.0),0.2,0.6);
vec3 cutout = texture2D(colScheme,vec2(light*light + eye.z*eye.z*0.0001,light2 + eye.y*eye.x*0.0002)).rgb;
gl_FragColor = vec4(vec3(light)*cutout*3.0,1.0);
}